from axelrod.action import Action
from axelrod.player import Player
IllIlIlIlIIlIIllIlII, IIIIllIlIIlI = Action.C, Action.D
class lIlIIIIll(Player):
    lIIIlllIIlIlI = "strategy"
    llIllIlllIlllIllII = {
        "memory_depth": float("inf"),
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def llllIllIIIlllllIllll(IlIIIlIIIIlIllllII, lIlIIIIlIlIIll: Player) -> Action:
        IlIllIIllIlIIIlI = len(IlIIIlIIIIlIllllII.history) + 1
        if IlIllIIllIlIIIlI == 1:
            return IllIlIlIlIIlIIllIlII
        elif IlIllIIllIlIIIlI <= 20:
            return lIlIIIIlIlIIll.history[-1]
        else:
            llIlllll = 20 / IlIllIIllIlIIIlI
            return IlIIIlIIIIlIllllII._random.random_choice(llIlllll)